MHFP.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`
`#include <GraphMol/ROMol.h>`
`#include <DataStructs/ExplicitBitVect.h>`

Go to the source code of this file.

## Classes

class | RDKit::MHFPFingerprints::MHFPEncoder

## Namespaces

| RDKit
| Std stuff.
| RDKit::MHFPFingerprints
| RDKit::MHFPFingerprints::FNV

## Functions

uint32_t | RDKit::MHFPFingerprints::FNV::hash (const std::string &str, uint32_t hash=seed)
| A simple implementation of the Fowler–Noll–Vo hash function. More...

## Variables

const std::string | RDKit::MHFPFingerprints::mhfpFingerprintVersion = "1.0.0"
const uint32_t | RDKit::MHFPFingerprints::FNV::prime = 0x01000193
const uint32_t | RDKit::MHFPFingerprints::FNV::seed = 0x811C9DC5